summaryrefslogtreecommitdiffstats
path: root/ci/images/vars.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/images/vars.sh')
-rwxr-xr-xci/images/vars.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/ci/images/vars.sh b/ci/images/vars.sh
new file mode 100755
index 0000000..f2ea465
--- /dev/null
+++ b/ci/images/vars.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# define common variables for image build scripts
+
+KNOT_BRANCH="${KNOT_BRANCH:-3.1}"
+
+REGISTRY="registry.nic.cz/knot/knot-resolver/ci"
+IMAGE=$1
+if [ -z "${IMAGE}" ]; then
+ echo "image name not provided"
+ exit 1
+fi
+TAG="knot-${KNOT_BRANCH}"
+FULL_NAME="${REGISTRY}/${IMAGE}:${TAG}"